import { Column, Entity, ManyToOne } from "typeorm";
import BaseEntity from "../../../contracts/BaseEntity";
import Card from "./Card";

@Entity()
export default class Series extends BaseEntity {
    constructor(id: string, name: string) {
        super();

        this.Id = id;
        this.Name = name;
    }

    @Column()
    Name: string;

    @ManyToOne(() => Card, x => x.Series)
    Cards: Card[];

    public async AddCard(card: Card) {
        if (!this.Cards) return;

        this.Cards.push(card);
    }
}